-- 消息持久化数据表
CREATE TABLE webchat_ugc.`web_chat_message` (
     `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
     `sender` char(100) NOT NULL COMMENT '发送人',
     `receiver` char(100) NOT NULL COMMENT '接收人',
     `proxy_sender` char(100) DEFAULT NULL COMMENT '消息代理发送人（应用在群聊场景）',
     `message` text DEFAULT NULL COMMENT '消息内容',
     `image` varchar(300) DEFAULT NULL COMMENT '图片',
     `type` tinyint(1) DEFAULT 0 COMMENT '消息类型',
     `IS_READ` tinyint(1) DEFAULT 0 COMMENT '是否已读',
     `SEND_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '消息时间',
     `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
     `VERSION` int DEFAULT '0' COMMENT '版本',
     PRIMARY KEY (`ID`),
     KEY `INDEX_SENDER_PROXY_SENDER` (`sender`, `proxy_sender`),
     KEY `INDEX_RECEIVER` (`receiver`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息持久化数据表';