package com.webchat.common.service.messagequeue.producer;

import com.webchat.common.enums.messagequeue.MessageBroadChannelEnum;
import com.webchat.common.enums.messagequeue.MessageQueueEnum;

public interface MessageQueueSender<T, P> {

    /**
     * 普通队列消息发送
     *
     * @param queue
     * @param message
     */
    void send(MessageQueueEnum queue, T message);

    /**
     * 优先级队列消息发送
     *
     * @param queue
     * @param message
     * @param priority
     */
    void prioritySend(MessageQueueEnum queue, T message, P priority);

    /**
     * 广播消息发送
     *
     * @param channel
     * @param message
     */
    void broadSend(MessageBroadChannelEnum channel, T message);
}
