package com.webchat.pay.repository.entity;

import jakarta.persistence.Column;
import jakarta.persistence.MappedSuperclass;
import jakarta.persistence.PreUpdate;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 基础实体类
 */
@MappedSuperclass
@Data
public class BaseEntity extends SimpleBaseEntity implements Serializable {

    @Column(name = "update_by")
    private String updateBy;

    @Column(name = "update_date")
    private Date updateDate;

    @PreUpdate
    public void preUpdate() {
        this.updateDate = new Date();
    }
}
