package com.webchat.ugc;

import com.webchat.common.util.SpringContextUtil;
import com.webchat.ugc.messaegqueue.consumer.redis.PersistentMessageRedisMQConsumer;
import com.webchat.ugc.messaegqueue.consumer.redis.RefreshChattingRedisMQConsumer;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.webchat")
@EnableFeignClients("com.webchat.rmi")
public class WebchatUGCApplication {

    public static void main(String[] args) {

        SpringApplication.run(WebchatUGCApplication.class, args);

        /**
         * 启动Redis MQ
         */
        SpringContextUtil.getBean(RefreshChattingRedisMQConsumer.class).initBean();
        SpringContextUtil.getBean(PersistentMessageRedisMQConsumer.class).initBean();
    }

}
